[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockTree.BeginUpdate

Starts an update process for the class instance.

## Declaration

Source position: controls.pp line 2630

`public procedure TDockTree.BeginUpdate; override;`

## Description

BeginUpdate is an overridden method in TDockTree. It increments the internal update counter for the class. It is used to consolidate calls to the UpdateAll method until the internal counter reaches zero (0).

## See also

TDockManager.BeginUpdate |  | Starts updating the DockSite layout.
TDockManager.EndUpdate |  | Finishes updating the DockSite layout.
TDockTree.UpdateAll |  | Updates the internal TDockTreeFlags to reflect the update status for the control